function isfull = isFullPathname( f )
    if isempty(f)
        isfull = false;
    elseif f(1)=='/'
        isfull = true;
    elseif f(1)=='\'
        isfull = true;
    elseif regexp( f, '^[A-Za-z]:' )
        isfull = true;
    else
        isfull = false;
    end
end
